Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 990627 - Review Request: jblas - Java bindings for BLAS
Summary: Review Request: jblas - Java bindings for BLAS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-31 15:14 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2013-08-27 23:27 UTC (History)
4 users (show)

Fixed In Version: jblas-1.2.3-2.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-15 03:03:30 UTC
lemenkov: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2013-07-31 15:14:29 UTC
Spec URL: http://in.waw.pl/~zbyszek/fedora/jblas.spec
SRPM URL: http://in.waw.pl/~zbyszek/fedora/jblas-1.2.3-1.fc19.src.rpm
Description: Wraps BLAS (e.g. ATLAS) using generated code through JNI.
             Allows Java programs to use the full power of ATLAS/Lapack
             through a convenient interface.

Fedora Account System Username: zbyszek

This is my first package, and I need a SPONSOR. I am active as systemd upstream and have been handling a bunch of systemd bugs in Fedora, but this is my first attempt at making a package. We use jblas in cell signalling pathways simulation software (https://github.com/neurord/stochdiff). It is a relatively small piece of code that gives a lot power to numerical calculations in Java. Please review!

koji-build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5684096

Comment 1 Zbigniew Jędrzejewski-Szmek 2013-07-31 15:17:18 UTC
Package is rpmlint clean, except for two warning which I think are OK:
- javadocs is marked as misspelt, but other javadoc packages use this spelling
- configure-without-libdir-spec, but this is not a real configure script, but a custom thing and the proper paths *are* given to it, with differently named parameters.

Comment 2 Veaceslav Mindru 2013-07-31 15:49:53 UTC
Hello,

comments on SPEC 

as far as i can judge this is EPEL6 compliant, and looks semantic clean enough though i have some doubts if macros is allowed to be used along with static links here 

>cp -r javadoc $RPM_BUILD_ROOT%{_javadocdir}/%{name} 

I will leave this with others to judge.


VM

Comment 3 Zbigniew Jędrzejewski-Szmek 2013-07-31 16:04:31 UTC
(In reply to Veaceslav Mindru from comment #2)
Thank you for the quick review.

> i have some doubts if macros is allowed to be used along with
> static links here 
Hm, there are no links, I think.

I took this part verbatim from http://fedoraproject.org/wiki/Packaging:Java#Specfile_Template, so it's probably fine.

> >cp -r javadoc $RPM_BUILD_ROOT%{_javadocdir}/%{name} 
> 
> I will leave this with others to judge.

Comment 4 Zbigniew Jędrzejewski-Szmek 2013-08-02 18:47:04 UTC
FC 20 koji scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=5693733

Comment 5 Peter Lemenkov 2013-08-05 10:06:35 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is not completely silent, but its messages are harmless can be ignored:

work ~/rpmbuild/SPECS: rpmlint ~/Desktop/jblas-*
jblas.src:52: W: configure-without-libdir-spec

^^^ I advise you to use %configure instead of ./configure

jblas-javadoc.x86_64: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
4 packages and 0 specfiles checked; 0 errors, 2 warnings.
work ~/rpmbuild/SPECS: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (New BSD, no advertising, 3 clause).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

work ~/rpmbuild/SOURCES: sha256sum jblas-1.2.3.tar.gz*
3061fcae0c9b2d2e5ecc1e79ca9af7f05502c4f3dd4fd9adc98bd9df1bd720fb  jblas-1.2.3.tar.gz
3061fcae0c9b2d2e5ecc1e79ca9af7f05502c4f3dd4fd9adc98bd9df1bd720fb  jblas-1.2.3.tar.gz.1
work ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
+ The package stores shared library files in some of the dynamic linker's default paths, and it calls ldconfig in %post and %postun.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.

- The package MUST own all directories that it creates. Unowned directory - /usr/lib64/jblas/ . Please either add this 

%dir %{_libdir}/%{name}/

to the %files section, or just use

%{_libdir}/%{name}

instead of more narrowed

%{_libdir}/%{name}/lib%{name}.so 


+ The package doesn't list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No static libraries.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.

Please fix the only remaining issue with unowned directory before uploading to Fedora Git. This package is


APPROVED.

Comment 6 Peter Lemenkov 2013-08-05 10:08:02 UTC
Unblocking FE-NEEDSPONSOR - I've just sponsored  Zbigniew Jędrzejewski-Szmek.

Comment 7 Zbigniew Jędrzejewski-Szmek 2013-08-05 14:03:00 UTC
(In reply to Peter Lemenkov from comment #5)
Thank you for the review!

> REVIEW:
> work ~/rpmbuild/SPECS: rpmlint ~/Desktop/jblas-*
> jblas.src:52: W: configure-without-libdir-spec
> 
> ^^^ I advise you to use %configure instead of ./configure
I think that %configure will add additional options, which are not supported by this ./configure, which is a custom script here, not a real standard one.
I think it should stay the way it is.

> - The package MUST own all directories that it creates. Unowned directory -
> /usr/lib64/jblas/ . Please either add this 
Fixed.

> APPROVED.

Updated spec: http://in.waw.pl/~zbyszek/fedora/jblas.spec
Updated srpm: http://in.waw.pl/~zbyszek/fedora/jblas-1.2.3-2.fc19.src.rpm
koji f19: http://koji.fedoraproject.org/koji/taskinfo?taskID=5779036
koji f20: http://koji.fedoraproject.org/koji/taskinfo?taskID=5779029

Comment 8 Peter Lemenkov 2013-08-05 14:05:10 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #7)
> (In reply to Peter Lemenkov from comment #5)
> Thank you for the review!
> 
> > REVIEW:
> > work ~/rpmbuild/SPECS: rpmlint ~/Desktop/jblas-*
> > jblas.src:52: W: configure-without-libdir-spec
> > 
> > ^^^ I advise you to use %configure instead of ./configure
> I think that %configure will add additional options, which are not supported
> by this ./configure, which is a custom script here, not a real standard one.
> I think it should stay the way it is.
> 
> > - The package MUST own all directories that it creates. Unowned directory -
> > /usr/lib64/jblas/ . Please either add this 
> Fixed.
> 
> > APPROVED.
> 
> Updated spec: http://in.waw.pl/~zbyszek/fedora/jblas.spec
> Updated srpm: http://in.waw.pl/~zbyszek/fedora/jblas-1.2.3-2.fc19.src.rpm
> koji f19: http://koji.fedoraproject.org/koji/taskinfo?taskID=5779036
> koji f20: http://koji.fedoraproject.org/koji/taskinfo?taskID=5779029

Ok, good. Proceed with the following:

* https://fedoraproject.org/wiki/Package_SCM_admin_requests

Comment 9 Zbigniew Jędrzejewski-Szmek 2013-08-05 14:13:29 UTC
New Package SCM Request
=======================
Package Name: jblas
Short Description: Java bindings for BLAS
Owners: zbyszek
Branches: f18 f19
InitialCC: peter java-sig

Comment 10 Gwyn Ciesla 2013-08-05 14:29:12 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2013-08-05 15:17:50 UTC
jblas-1.2.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jblas-1.2.3-2.fc19

Comment 12 Fedora Update System 2013-08-05 15:20:19 UTC
jblas-1.2.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/jblas-1.2.3-2.fc18

Comment 13 Fedora Update System 2013-08-06 23:33:13 UTC
jblas-1.2.3-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 14 Fedora Update System 2013-08-15 03:03:30 UTC
jblas-1.2.3-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 15 Fedora Update System 2013-08-27 23:27:12 UTC
jblas-1.2.3-2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.